Bug 220229 - Add support for iwm 8265 devices
Summary: Add support for iwm 8265 devices
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: wireless (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Many People
Assignee: Eitan Adler
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2017-06-23 18:29 UTC by Kris Moore
Modified: 2018-05-06 04:30 UTC (History)
16 users (show)

See Also:
koobs: mfc-stable10?
koobs: mfc-stable11?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kris Moore freebsd_committer 2017-06-23 18:29:05 UTC
We've begun using the latest Lenovo X1 Carbons which has an Intel 8265 wireless chipset. I've pulled in the driver from DragonFlyBSD here:

https://github.com/trueos/freebsd/commit/efcc4b7b183841ed302222f7e0eda3d38e630156

This diff has some binary files in it (The firmwares) so I'm unsure what the recommended way is to submit that. Just wanted to leave this here in case somebody is ready / wanting to pull it into CURRENT. FWIW the driver seems pretty solid so far.
Comment 1 Ed Maste freebsd_committer 2017-06-23 21:38:54 UTC
In my opinion (and that of several others) we ought to stop uuencoding binary files -- it's mainly an artifact of old CVS-based workflows.
Comment 2 pete 2017-08-06 22:29:34 UTC
Wondering if anyone has had a chance to generate a freebsd patch for this device yet?  i'm more than willing to test - i just don't know enough about kernel device drivers (yet) to port the dfly patch myself.
Comment 4 pete 2017-08-24 16:53:33 UTC
(In reply to clutton from comment #3)
Thanks - I'm not sure why I was having problems applying the referenced patch earlier, but I just rebuild my drm-next system and it worked as expected w/o issues.  For reference here is the hardware I have that is now working via the supplied iwm patchset:

iwm0@pci0:3:0:0:        class=0x028000 card=0x10108086 chip=0x24fd8086 rev=0x78 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Wireless 8265 / 8275'
    class      = network


$ dmesg|grep iwm
iwm0: <Intel(R) Dual Band Wireless AC 8265> mem 0xdf000000-0xdf001fff at device 0.0 on pci2
iwm0: hw rev 0x230, fw ver 22.361476.0, address 00:11:22:33:44:55
Comment 5 marc.priggemeyer 2017-09-20 20:11:46 UTC
Works fine on Dell Latitude 5480:

iwm0: <Intel(R) Dual Band Wireless AC 8265> mem 0xef100000-0xef101fff irq 17 at device 0.0 on pci1
iwm0: hw rev 0x230, fw ver 22.361476.0, address f8:59:71:8f:d8:9c
Comment 6 Jon Kutemeier 2017-09-28 15:22:08 UTC
Using the drm-next build, works fine on a Dell Precision 5520:

~ ❯ dmesg | grep -i iwm
iwm0: <Intel(R) Dual Band Wireless AC 8265> mem 0xedc00000-0xedc01fff at device 0.0 on pci2
iwm0: hw rev 0x230, fw ver 22.361476.0, address 00:28:f8:27:02:bd
Comment 7 Kurt Jaeger freebsd_committer 2017-10-10 02:52:41 UTC
See

https://lists.freebsd.org/pipermail/freebsd-current/2017-October/067155.html

for how to integrate the 8265.
Comment 8 Ben Woods freebsd_committer 2017-10-10 05:01:08 UTC
Support for iwm 8265 devices was committed to head today.
https://svnweb.freebsd.org/changeset/base/r324434
Comment 9 Ben Woods freebsd_committer 2017-10-10 05:03:27 UTC
However, it looks like it needs the patch pointed out in the link Kurt posted to be built.
Comment 10 George 2017-10-12 06:26:15 UTC
I have a Intel NUC6i3SY. It has a such 8265 based WiFi, which not working. But iwm attached to device, ifconfig not shows it.
I'm check, patch from Kurt applied on my revision, but wifi not works. 

pciconf -lv
-----------------
iwm0@pci0:1:0:0:    class=0x028000 card=0x90108086 chip=0x24f38086 rev=0x3a hdr=0x00
    vendor = "Intel Corporation"
    device = "Wireless 8260"
    class  = network

uname -a:
-----------------
12.0-CURRENT #2 r324483 amd64

grep iwm | /usr/src/sys/amd64/conf/KERNEL
-----------------
device     iwm
device     iwmfw

dmesg | grep iwm
-----------------
iwm0: <Intel(R) Dual Band Wireless AC 8260> mem 0xdf000000-0xdf001fff irq 16 at device 0.0 on pci1
iwm0: hw rev 0x200 fw ver 16.242414.0, address 00:c2:c6:c9:64:cc
Comment 11 Andriy Voskoboinyk freebsd_committer 2017-10-16 20:47:38 UTC
(In reply to gosha-necr from comment #10)
> ifconfig not shows it.

It should be in 'net.wlan.devices' sysctl (see https://www.freebsd.org/doc/handbook/network-wireless.html, 30.3.2. Quick Start)
Comment 12 pete 2017-10-16 22:19:15 UTC
I think we can close this ticket out.  I've just rebuilt kernel/world via a checkout this morning which includes the upstream patches (including the Makefile fix to ensure firmware is built for this chipset) for this NIC and everything looks good!
Comment 13 clutton 2017-10-17 10:25:25 UTC
(In reply to pete from comment #12)

Could you please wait, I'll do the same (rebuilding) and give one more feedback.
Comment 14 George 2017-10-17 11:11:17 UTC
(In reply to Andriy Voskoboinyk from comment #11)

Yes, confirm it. All works.

Thank you!
Comment 15 clutton 2017-10-18 18:44:59 UTC
confirm, works like a charm.
Comment 16 Colvin Wellborn 2017-11-22 22:50:26 UTC
Any word of MFC to STABLE? I have a Lenovo P51 with a 8265 I'd love to get working under STABLE-11.

https://svnweb.freebsd.org/base/head/sys/modules/iwmfw/iwm8265fw/Makefile?view=log
Comment 17 Kubilay Kocak freebsd_committer freebsd_triage 2018-02-10 12:10:28 UTC
Assign to committer of base r324434 (see comment 8)

Pending MFC, per commit log message
Comment 18 Ashish Gupta 2018-02-10 12:22:27 UTC
Can someone merge this?

11.1-RELEASE shows 'no driver attached' on loading if_iwm and firmware on a Lenovo Legion Y520 as well.
Comment 19 Eitan Adler freebsd_committer freebsd_triage 2018-02-28 01:43:22 UTC
This does not appear to be easy to MFC and depends on several other commits. I'm looking into what it will take.
Comment 20 Yu 2018-04-24 23:12:50 UTC
Hi,
Any updates about merging this?
Comment 21 Eitan Adler freebsd_committer freebsd_triage 2018-05-06 04:29:45 UTC
I merged what I could to 11/stable a few weeks ago. At this point I don't believe that I'll be able to merge more so I'm going to close this bug.

Unfortunately we'll have to wait for 12.0 to get support for the hardware - which hopefully won't be too long now.